This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 494691 - core.h: Assertion 'pa_object_refcnt(pa_object_cast(o)) > 0' failed
core.h: Assertion 'pa_object_refcnt(pa_object_cast(o)) > 0' failed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 15:34 EDT by Kevin DeKorte
Modified: 2009-04-13 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 11:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2009-04-07 15:34:50 EDT
Description of problem:
pulse crash

Version-Release number of selected component (if applicable):
pulseaudio-libs-0.9.15-8.test7.fc11.i586
pulseaudio-module-x11-0.9.15-8.test7.fc11.x86_64
pulseaudio-0.9.15-8.test7.fc11.x86_64
pulseaudio-utils-0.9.15-8.test7.fc11.x86_64
pulseaudio-libs-zeroconf-0.9.15-8.test7.fc11.i586
pulseaudio-libs-devel-0.9.15-8.test7.fc11.i586
pulseaudio-libs-0.9.15-8.test7.fc11.x86_64
pulseaudio-module-gconf-0.9.15-8.test7.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-8.test7.fc11.x86_64
pulseaudio-libs-glib2-0.9.15-8.test7.fc11.i586


How reproducible:
tough to reproduce, appears to be thread timing issue

Steps to Reproduce:
1.  no definite test case
2.
3.
  
Actual results:

Apr  7 12:55:38 quad pulseaudio[4503]: mainloop.c: poll(): Invalid argument
Apr  7 12:55:38 quad pulseaudio[4503]: core.h: Assertion 'pa_object_refcnt(pa_object_cast(o)) > 0' failed at ./pulsecore/core.h:159, function pa_core_assert_ref(). Aborting.


Expected results:
pulse should not crash

Additional info:
Comment 1 Lennart Poettering 2009-04-07 16:50:11 EDT
Please provide a stack trace! See the comments on 

http://pulseaudio.org/wiki/Community#BugsPatchesTranslations

how to do that best.
Comment 2 Lennart Poettering 2009-04-13 11:35:55 EDT
This is now fixed upstream. Upload to Rawhide will happen soon.

Note You need to log in before you can comment on or make changes to this bug.